VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "NVJob"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit
'local variable(s) to hold property value(s)
Private mvarID As String 'local copy
Private mvarTitle As String 'local copy
'local variable(s) to hold property value(s)
Private mvarLocation As String 'local copy
Private mvarLocalFolder As String 'local copy
'local variable(s) to hold property value(s)
Private mvarlocations As Collection 'local copy

Private NVApp As New NVApp
'local variable(s) to hold property value(s)
Private mvarlocalFile As String 'local copy
'local variable(s) to hold property value(s)
Private mvarStatus As String 'local copy
Private mvarSize As Long 'local copy
Private mvarFinalName As String 'local copy
'local variable(s) to hold property value(s)
Private mvarJobDefinitionFile As String 'local copy
Private mvarJobStatusFile As String 'local copy

Public Property Get JobStatusFile() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.JoStatusFile
    JobStatusFile = mvarJobStatusFile
End Property

Public Property Get JobDefinitionFile() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.JobDefinitionFile
    JobDefinitionFile = mvarJobDefinitionFile
End Property




Public Property Get FinalName() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.FinalName
    FinalName = mvarFinalName
End Property

Public Property Get Size() As Long
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Size
    Size = mvarSize
End Property

Public Property Get Status() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Status
    Status = mvarStatus
End Property

Public Property Get localFile() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.localFile
    localFile = mvarlocalFile
End Property

Public Property Get locations() As Collection
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.locations
    Set locations = mvarlocations
End Property

Public Property Get LocalFolder() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.LocalFolder
    LocalFolder = mvarLocalFolder
End Property

Public Property Get Location() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Location
    Location = mvarLocation
End Property

'Public Property Let Title(ByVal vData As String)
''used when assigning a value to the property, on the left side of an assignment.
''Syntax: X.Title = 5
'    mvarTitle = vData
'End Property


Public Property Get Title() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Title
    Title = mvarTitle
End Property



'Public Property Let ID(ByVal vData As String)
''used when assigning a value to the property, on the left side of an assignment.
''Syntax: X.ID = 5
'    mvarID = vData
'End Property


Public Property Get id() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.ID
    id = mvarID
End Property

Public Sub Save(file As String)
End Sub


Public Sub load(file As String)
  Dim dir As String
  dir = NVApp.installDir
  
  mvarJobDefinitionFile = dir & "\Data\Jobs\" & file
  
  mvarID = Left(file, InStr(1, file, ".") - 1)
  mvarTitle = register("SETTINGS", "Title", mvarJobDefinitionFile)
  mvarLocalFolder = NVApp.getFolder(register("SETTINGS", "LocalFolder", mvarJobDefinitionFile))
  mvarLocation = register("SETTINGS", "LocID", mvarJobDefinitionFile)
  
  loadLocations mvarJobDefinitionFile
  loadLocalFileName mvarJobDefinitionFile
  
  ' Lee status
  mvarJobStatusFile = dir & "\Data\State\" & mvarID & ".nvc"
  mvarStatus = register("STATE", "State", mvarJobStatusFile)
  mvarSize = register("STATE", "FileSize", mvarJobStatusFile)
  mvarFinalName = register("STATE", "FinalName", mvarJobStatusFile)
  Debug.Print mvarID, mvarTitle, mvarLocalFolder, mvarLocation, mvarlocations(1)

End Sub

Private Sub loadLocations(filename As String)
  Dim l As String
  l = register("LOCATIONS", mvarLocation, filename)
  mvarlocations.Add l, mvarLocation
End Sub

Private Sub loadLocalFileName(filename As String)
  Dim pos As Integer
  mvarlocalFile = register("SETTINGS", "LocalFile", filename)
  If mvarlocalFile = "" Then
    mvarlocalFile = mvarlocations(1)
    Do
      pos = InStr(1, mvarlocalFile, "/")
      If pos = 0 Then
        Exit Do
      End If
      mvarlocalFile = Mid(mvarlocalFile, pos + 1)
    Loop
  End If
End Sub


Private Function register(app As String, key As String, file As String) As String
  Dim pos As Integer
  Dim buffer As String * 181
  
  pos = GetPrivateProfileString(app, key, "", buffer, 180, file)

  If pos = 0 Then
    register = ""
  Else
    register = Left(buffer, pos)
  End If
End Function

Private Sub Class_Initialize()
  Set mvarlocations = New Collection
End Sub

Public Sub deleteJobFiles()
  Kill mvarJobDefinitionFile
'  Kill mvarJobStatusFile  No es necesario borrar ms ficheros. Ya se encarga NetVampire
End Sub


